package com.kingtom.shengtai.api.model;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import com.alibaba.excel.annotation.write.style.ContentRowHeight;
import com.alibaba.excel.annotation.write.style.HeadRowHeight;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 应用模块名称</p>
 * 代码描述</p>
 * Copyright: Copyright (C) 2023 , Inc. All rights reserved. <p>
 * Company: 成都诚唐科技有限责任公司</p>
 *
 * @author wany
 * @since 2023/12/21
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@ColumnWidth(20)
@HeadRowHeight(30)
@ContentRowHeight(20)
public class SrmSupplierImportDTO{

    @ExcelProperty(value = "供应商名称 *")
    private String name;

    @ExcelProperty(value = "评分 *")
    private String mark;

    @ExcelProperty(value = "联系人 *")
    private String person;

    @ExcelProperty(value = "联系电话 *")
    private String phone;

    @ExcelProperty(value = "供应商类型 *")
    private String type;

    @ExcelProperty(value = "公司地址")
    private String address;

    @ExcelProperty(value = "公司简介")
    private String intro;

    @ExcelProperty(value = "产品")
    private String product;

    @ExcelProperty(value = "优势产品")
    private String superiorProduct;

    //    @ExcelProperty(value = "形象图片", converter = StringImageConverter.class)
    //    private List<String> image;
    //
    //    @ExcelProperty(value = "营业执照", converter = StringImageConverter.class)
    //    private List<String> businessLicense;
    //
    //    @ExcelProperty(value = "权威证书", converter = StringImageConverter.class)
    //    private List<String> certificates;

}
